> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

You can retrieve the list of videos associated with a package by calling the `/packages/{packageId}/videos` endpoint.

The response will include one or more video URLs that can be used to download or playback the video.

<Note>
  The video URL will expire based on the value of `video.timeUrlExpires` (currently 24 hours).
</Note>

<Tip>
  The call to `/packages/{packageId}` endpoint will also include videos URLs under `meetings[].sessions[].videos[]`.

  See the [Packages get API](/v4/api/packages/get) for more information.
</Tip>

## Request

```http Request theme={null}
GET	/packages/{packageId}/videos
```

### Parameters

<ParamField path="packageId" type="string" required>
  Unique identifier of the package to retrieve videos for.
</ParamField>

## Response

<ResponseField name="packageId" type="string">
  Unique identifier of the package videos were recorded for.
</ResponseField>

<ResponseField name="videos" type="object[]">
  List of meeting videos associated with the package.

  <Expandable title="properties">
    <ResponseField name="meetingVideoId" type="string">
      Unique identifier for the video.
    </ResponseField>

    <ResponseField name="meetingVideoSharedId" type="string">
      Shared identifier for the video.
    </ResponseField>

    <ResponseField name="meetingId" type="string">
      Identifier of the meeting the video belongs to.
    </ResponseField>

    <ResponseField name="meetingSessionId" type="string">
      Identifier of the meeting session.
    </ResponseField>

    <ResponseField name="externalVideoId" type="string">
      External system identifier for the video (if available).
    </ResponseField>

    <ResponseField name="externalStorageId" type="string">
      External storage identifier for the video (if available).
    </ResponseField>

    <ResponseField name="timeCreated" type="string">
      Creation time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeRetention" type="string" post={["nullable"]}>
      Retention expiry time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeDeleted" type="string" post={["nullable"]}>
      Deletion time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="duration" type="string">
      Video duration (ISO 8601 duration).
    </ResponseField>

    <ResponseField name="size" type="number">
      Size of the video in bytes.
    </ResponseField>

    <ResponseField name="source" type="string">
      Source of the video.
    </ResponseField>

    <ResponseField name="type" type="string">
      Type of video.

      <Expandable title="values">
        | Value | Description               |
        | :---- | :------------------------ |
        | video | Standard video recording. |
      </Expandable>
    </ResponseField>

    <ResponseField name="state" type="string">
      Current state of the video.

      <Expandable title="values">
        | Value    | Description                                                                     |
        | :------- | :------------------------------------------------------------------------------ |
        | started  | Video recording session is currently active.                                    |
        | stopped  | Video recording session ended successfully.                                     |
        | queued   | Video recording is waiting to download.                                         |
        | failed   | Video recording failed to download because of an error.                         |
        | archived | Video recording has been successfully downloaded and is available for playback. |
        | deleted  | Video recording has been permanently removed.                                   |
      </Expandable>
    </ResponseField>

    <ResponseField name="url" type="string">
      Temporary URL to download or playback the video.

      <Note>
        Expires based on `timeUrlExpires`.
      </Note>
    </ResponseField>

    <ResponseField name="timeUrlExpires" type="string">
      Expiration time for the temporary URL (ISO 8601 date-time).
    </ResponseField>
  </Expandable>
</ResponseField>

## Response examples

```json Response (200) highlight={5, 11, 15, 21} theme={null}
{
	"packageId": "26dc68b2-e8be-4594-9a27-8fc6db91f6fc",
	"videos": [
		{
			"meetingVideoId": "919a16f5-7ada-44ff-9dc4-37a20fe4e4c4",
			"timeCreated": "2019-07-15T16:53:44.342Z",
			"duration": "PT5M12S",
			"size": 4402007,
			"type": "video",
			"state": "archived",
			"url": "https://syngrafii.com/video/xxxx?access=yyyy",
			"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
		},
		{
			"meetingVideoId": "5dac6b3a-a61c-4094-bdab-0b073436c0a9",
			"timeCreated": "2019-07-15T16:58:58.219Z",
			"duration": "PT2M7S",
			"size": 2505995,
			"type": "video",
			"state": "archived",
			"url": "https://syngrafii.com/video/xxxx?access=yyyy",
			"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
		}
	]
}
```

```json Response (packages/{packageId}) expandable highlight={22, 28, 32, 38} theme={null}
{
	"packageId": "26dc68b2-e8be-4594-9a27-8fc6db91f6fc",
	"name": "Signing",
	"timeCreated": "2019-07-15T15:03:41Z",
	"type": "video_closing_room",
	"state": "open",
	"meetings": [
		{
			"meetingId": "91dbac93-f7c3-4ff1-932c-684b439c6af4",
			"timeStart": "2019-07-15T15:15:00Z",
			"duration": "PT1H",
			"participants": [...],
			"sessions": [
				{
					"meetingSessionId": "f85a4fa1-b173-40d6-a047-53238d69f34a",
					"timeStarted": "2019-07-15T16:53:28.316Z",
					"timeEnded": "2019-07-15T17:56:42.983Z",
					"state": "ended",
					"participants": [...],
					"videos": [
						{
							"meetingVideoId": "919a16f5-7ada-44ff-9dc4-37a20fe4e4c4",
							"timeCreated": "2019-07-15T16:53:44.342Z",
							"duration": "PT5M12S",
							"size": 4402007,
							"type": "video",
							"state": "archived",
							"url": "https://syngrafii.com/video/xxxx?access=yyyy",
							"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
						},
						{
							"meetingVideoId": "5dac6b3a-a61c-4094-bdab-0b073436c0a9",
							"timeCreated": "2019-07-15T16:58:58.219Z",
							"duration": "PT2M7S",
							"size": 2505995,
							"type": "video",
							"state": "archived",
							"url": "https://syngrafii.com/video/xxxx?access=yyyy",
							"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
						}
					]
				}
			]
		}
	],
	"documents": [...],
	"signers": [...]
}
```
